----------------------------------------------------------------
-- EXAMPLE 5
--
-- This is a simple example that shows how to create a custom menu
----------------------------------------------------------------

require "ui"

win = ui.window({name="Test",x=0,y=0,width=160,height=100})

m3 = ui.menu()
m3:add{type="button", text="Btn2", _action=function() print("button 2") end}

local k1, k2, k3

m2 = ui.menu()
m2:add{type="button", text="Btn", _action=function() print("button 1") end}
m2:add{type="line"}
k1 = m2:add{type="check", checked=true, text="Check", _action = function(on) print("check: ",on) end}
k2 = m2:add{type="radio", checked=true, text="Radio1", _action = function(on) print("radio1: ",on) end}
k3 = m2:add{type="radio", checked=false, text="Radio2", _action = function(on) print("radio2: ",on) end}
m2:add{type="line"}
m2:add{type="menu", text="SubMenu", menu=m3}

function btn3Clicked(self)
  print("button 3")
  print("current states:")
  print("check: ", m2:getchecked(k1))
  print("radio1: ", m2:getchecked(k2))
  print("radio2: ", m2:getchecked(k3))
end

m = ui.menu()
m:add{type="menu", text="Menu", menu=m2}
m:add{type="button", text="Btn3", _action = btn3Clicked}
m:add{type="break"}
win:add(m)

	-- get the Console window
	-- and place it below the custom window
cons = ui.getwin("Console")
cons:setposition(0,105)
cons:setsize(160,100)

win:show()
ui.start()

