--[[ EXAMPLE : SCRIBBLE

Description:
  A very simple example to introduce the "draw" package
  
Illustrates:
  * "draw" package
  * pen usage
]]

require("draw")
showgraph()		-- enter graphical mode

local x,y

repeat

  local x2,y2 = x,y  -- the old pen's position
 
  x,y = getpen()  -- get the new pen's position
 
  if x ~= nil then  -- if the pen is down on the screen

    statusbar(x.." "..y)

    if x2 ~= nil then
      draw.line(x,y,x2,y2)
    else
      draw.point(x,y)
    end
  
  else
    statusbar("")
  end

until testkey(K_EXE)  -- the program stops when the EXE key is pressed